> ## Documentation Index
> Fetch the complete documentation index at: https://doc.evolution-api.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Settings Typebot

> Set settings typebot



## OpenAPI

````yaml openapi-v2 POST /typebot/settings/{instance}
openapi: 3.0.3
info:
  title: Evolution API
  version: 2.1.1
servers:
  - url: https://{server-url}
    variables:
      server-url:
        default: evolution-example
        description: The URL of your EvolutionAPI server
    description: Your instance domain
security: []
paths:
  /typebot/settings/{instance}:
    post:
      tags:
        - Typebot Controller
      summary: Change Session Status
      description: Set settings typebot
      operationId: startTypebot
      parameters:
        - name: instance
          in: path
          required: true
          description: Name of the instance
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - expire
                - keywordFinish
                - delayMessage
                - unknownMessage
                - listeningFromMe
                - stopBotFromMe
                - keepOpen
                - debounceTime
                - ignoreJids
                - typebotIdFallback
              properties:
                expire:
                  type: string
                  description: Time to expire session bot
                keywordFinish:
                  type: string
                  description: Keyword to finished session
                delayMessage:
                  type: string
                  description: Delay when the bot send message
                unknownMessage:
                  type: string
                  description: Unrecognized message
                listeningFromMe:
                  type: string
                  description: ''
                stopBotFromMe:
                  type: string
                  description: Stop bot when I send message
                keepOpen:
                  type: string
                  description: Keep session open
                debounceTime:
                  type: string
                  description: 'Time '
                ignoreJids:
                  type: string
                  description: Jids ignore from bot
                typebotIdFallback:
                  type: string
                  description: Id fallback
      responses:
        '200':
          description: Ok
          content: {}
      deprecated: false
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
      description: Your authorization key header

````